Subject: is_nullable column of information_schema.columns table

From: PG Doc comments form <[email-masked]>
Date: Sat, 28 Dec 2019 20:19:51 +0000

The following documentation comment has been logged on the website:

Page: https://www.postgresql.org/docs/12/infoschema-columns.html
Description:

is_nullable column of information_schema.columns table does not show correct
values for columns of views. For tables that column shows correct values
whether a column is nullable or not. I think the documentation should
include this information although better solution is to correct that error.

---

From: Bruce Momjian <[email-masked]>
Date: Mon, 30 Dec 2019 08:19:36 -0500

> include this information although better solution is to correct that error.

Can you show us an example query with the output?  Thanks.  Also, which
Postgres version?

-- 
  Bruce Momjian  <[email-masked]>        http://momjian.us
  EnterpriseDB                             http://enterprisedb.com

+ As you are, so once was I.  As I am, so you will be. +
+                      Ancient Roman grave inscription +

---

From: Laurenz Albe <[email-masked]>
Date: Tue, 07 Jan 2020 11:41:29 +0100

> include this information although better solution is to correct that error.

All columns of a view are defined as nullable, whether they can assume
that value or not.  PostgreSQL does not attempt to deduce the nullability
of columns from the view definition.

So the information in information_schema.columns is correct.
Remember that nullability does not imply that there are actually NULL values.

Yours,
Laurenz Albe
-- 
Cybertec | https://www.cybertec-postgresql.com